<template>
  <div v-if="plats">
    <h1 class="ml-2">Les plats</h1>
    <b-col cols="12" class="mx-auto" style="width: 600px;">
      <div v-for="plat in plats" :key="plat.id">
        <b-card
          no-body
          class="overflow-hidden m-2 mb-16"
          style="max-width: 540px;"
        >
          <b-row no-gutters>
            <b-col md="6">
              <b-card-body>
                <b-card-text>
                  <h1>{{ plat.name_dish }}</h1>
                  <p>{{ plat.description_dish }}</p>
                  <p>{{ plat.price_dish }}</p>
                  <p>{{ plat.allergens_dish }}</p>
                  <p>{{ plat.weight_dish }}</p>
                  <p>{{ plat.nutritional_values_dish }}</p>
                </b-card-text>
                <b-form-rating
                  v-model="value"
                  variant="warning"
                  show-value
                ></b-form-rating>
              </b-card-body>
              <div>
                <b-button
                  @click="addToCartPlat(plat)"
                  variant="outline-primary"
                  class="m-2"
                  href="#"
                  >Sélectionner</b-button
                >
                <b-button @click="detailPlat(plat)"
                  >Détail du plat</b-button
                >
              </div>
            </b-col>
            <b-col md="6">
              <img class="img" :src="plat.picture_link" />
            </b-col>
          </b-row>
        </b-card>
      </div>

      <b-modal :id="'modal_2'" scrollable>
        <h1>{{ plat_modal_2.name_dish }}</h1>
        <img class="img" :src="plat_modal_2.picture_link" />
        <p class="my-4">
          {{ plat_modal_2.description_dish }}
        </p>
        <p class="my-4">
          {{ plat_modal_2.price_dish }}
        </p>
        <p class="my-4">
          {{ plat_modal_2.allergens_dish }}
        </p>
        <p class="my-4">
          {{ plat_modal_2.weight_dish }}
        </p>
        <p>{{ plat_modal_2.nutritional_values_dish }}</p>
      </b-modal>

    </b-col>
  </div>
</template>

<script>
export default {
  data() {
    return {
      plat_modal_2: {},
      id: null,
    };
  },

  created() {
    this.$store.dispatch("getPlat");
  },
  computed: {
    plats() {
      return this.$store.state.plat;
    },
  },
  methods: {
    addToCartPlat(plat) {
      this.$store
        .dispatch("updateCartPlat", plat)
        .then(() => console.log(this.$store.state.cart));
    },
    detailPlat(plat) {
      console.log(plat);
      this.plat_modal_2 = plat;
      this.$bvModal.show("modal_2");
    },
  },
};
</script>

<style scoped>
.img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}
</style>
